Type to search.

Add or remove items from the Elasticsearch resource keystore

Auth

Adds the specified values to the Elasticsearch keystore, or removes the keys for the unspecified values.

Path parameters

deployment_id string required

Identifier for the Deployment

ref_id string required

User-specified RefId for the Resource (or '_main' if there is only one)

Request body

The new settings that will be applied to the keystore of the Elasticsearch resource.

secrets map string to object required

List of secrets

<string> object
value object

Value of this setting. This can either be a string or a JSON object that is stored as a JSON string in the keystore. NOTE: When the keystore secret is unspecified, it is removed.

as_file boolean

Stores the keystore secret as a file. The default is false, which stores the keystore secret as string when value is a plain string, or true when value is an object.

Responses

The new contents of the Elasticsearch keystore

application/json
secrets map string to object required

List of secrets

<string> object
value object

Value of this setting. This can either be a string or a JSON object that is stored as a JSON string in the keystore. NOTE: When the keystore secret is unspecified, it is removed.

as_file boolean

Stores the keystore secret as a file. The default is false, which stores the keystore secret as string when value is a plain string, or true when value is an object.